HYPOTHESIS-CLIENT(1)

NAME
hypothesis-client annotations update - Update an existing annotation

SYNOPSIS
hypothesis-client annotations update [OPTIONS] <ID> [URI]

DESCRIPTION
Update an existing annotation

  Arguments:

    <ID>

    unique ID of the annotation to update

    [URI]

    URI that this annotation is attached to.

    Can be a URL (a web page address) or a URN representing another kind of resource such as DOI (Digital Object Identifier) or a PDF fingerprint.

    [default: ]

OPTIONS

--text <TEXT>

    Annotation text / comment given by user

    This is NOT the selected text on the web-page

    [default: ]

--tags <TAGS>

    Tags attached to the annotation

--group <GROUP>

    The unique identifier for the annotation's group.

    If an annotation is a reply to another annotation (see `references`), this field will be ignored ??? replies belong to the same group as their parent annotations.

    [default: ]

--references <REFERENCES>

    Annotation IDs for any annotations this annotation references (e.g. is a reply to)

-o, --file <FILE>

    write updated annotation to this file in JSON format

-h, --help

    Print help (see a summary with '-h')